1. Home
  2. Linux
  3. Ubuntu
Fixing "unable to locate package openjdk-8-jdk" in your Ubuntu Server

How to Fix “unable to locate package openjdk-8-jdk” in Ubuntu Server

By default, Ubuntu Server does not come with OpenJDK installed. OpenJDK must be installed manually from the repository. However, sometimes even after running “sudo apt-get update”, the OpenJDK package is not found on the repository, even though it should be available for installation. The installation will fail with the following error: How to Fix “unable …

Installing build-essential in Ubuntu or CentOS

How to Install build-essentials in CentOS or Ubuntu

Linux is an operating system suited for software development. In Linux, you can build and run various software written in different languages, such as C, C++, Python, and Java. However, in default, mainstream Linux distributions do not bundle development tools – they have to be installed separately through the package manager upon successful installation of …

Fixing permission denied in Ubuntu when using sudo

How to Fix Ubuntu Permission Denied When Using sudo Command

Sudo, or “superuser do” is a very powerful command in Linux. It essentially allows you to run the command as root, the highest level of user in the Linux hierarchy, and analogous to administrator user account in Windows. Root users can execute very sensitive commands, such as formatting a hard drive and installing new hardware …

Ubuntu restart X Server from command line

How to Restart Ubuntu X Window Server From Command Line

In today’s Linux guide, I’ll show you how to restart Ubuntu X Server from the command line or terminal. In some cases session might freezes and you’re stuck because don’t know what to do to resolved it. If you’re wondering, X Server provides you with graphical desktop interface in the Linux environment. X server can …

How To Setup Nginx + FastCGI-Cache, MariaDB 10.4 and PHP7.3-FPM on Ubuntu 19.04 LTS

This tutorial will guide you on how to install and setup the Nginx web server with FastCGI-Cache, MariaDB 10.4, and PHP-FPM on Ubuntu 19.04 LTS (Disco Dingo). If you followed our previous tutorial, you should have read how to configure the LEMP stack on Ubuntu 18.04 LTS. As you know Nginx is a high-performance HTTP …

How To Setup Apache 2.4, MariaDB 10.4, PHP 7.3 and HTTP/2 on Ubuntu 18.04 LTS

Apache HTTP Server is completely free and open-source cross-platform web server software. Because it’s easy to use and almost compatible with all web application platforms or CMS (Content Management System), making Apache as one of the most popular and most widely used web servers throughout the world. The most important thing; Apache web server is …

MySQL

How To Fix MySQL Plugin ‘auth_socket’ is not loaded”

When we installed and configured VestaCP with the Ubuntu 18.04 LTS server we got a serious error message with the MySQL 5.7 database server. This error message was clearly seen after the initial installation process of VestaCP was completed, where we had a problem when configuring the database for the web. This problem allows us …

How To Install phpMyAdmin on Ubuntu 16.04/18.04 LTS with Nginx & PHP-FPM

Running LEMP Stack (Linux, Nginx, MySQL/MariaDB, and PHP) without a control panel will certainly be quite difficult for beginners. Well, if you have LEMP Stack running on your cloud server, surely you will need a web-based interface administration tool to handle your MySQL or MariaDB database server. Out there we have two choices of administration …

How To Install Nginx, PHP7.3-FPM and MariaDB 10.3 on Ubuntu 18.04 LTS

Running LEMP Stack (Linux, Nginx, MariaDB & PHP) might be the best solution for the majority of virtual private server users. Especially when we have a website with very busy daily traffic. We can build a very fast server and lighter without control panel. Since it’s not using a web-based interface, memory and CPU consumption …

How To Install MultiPHP Version with Nginx on Ubuntu 16.04/18.04/19.04 LTS Server

If you’re running Nginx on an Ubuntu LTS Server, you might want to configure your server with MultiPHP Version. Of course, this is very useful if you have a site that is only compatible with old stable PHP versions, or some of your web applications require a different PHP version. For example, WordPress as the …